Name: fribid
Version: 1.0.1a
Release: %mkrel 1

Summary: web browser plugin for BankID
Group:  Networking/Other
License: MIT
Source: http://fribid.se/releases/source/%{name}-%{version}.tar.xz
URL: http://fribid.se/
BuildRoot:   %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: openssl-devel
BuildRequires: mingw32-libp11-devel
BuildRequires: pkgconfig
BuildRequires: gettext
BuildRequires: gtk2-devel
BuildRequires: firefox
BuildRequires: opensc-devel
BuildRequires: opensc
Requires: firefox

%description
FriBID is a web browser plugin for BankID, a kind of electronic ID
(e-legitmiation) that's used in Sweden. It supports file-based
electronic IDs (e-legitimation på fil) and card-based IDs (e-legitimation
på kort), with some limitations:

 * You can not import soft certificates from Nexus Personal (encrypted)
 * To change your password/PIN you need to use other programs.
 * To use card-based IDs you needs some configuration,
   see http://wiki.fribid.se/sidor/SmartCards (in Swedish).

FriBID is only compatible with the second version of BankID, and not
the older system that uses Java applets.

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix=/usr --with-gtk=2

%make 

%install
%makeinstall_std

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc CHANGELOG INSTALL LICENSE
%{_mandir}/man7/*
%{_mandir}/*/man7/*
%{_datadir}/%{name}
%{_datadir}/locale/sv/LC_MESSAGES/%{name}.mo
%{_libdir}/%{name}
%{_libdir}/mozilla/plugins/lib%{name}plugin.so

%changelog
* Tue Oct 16 2012 Neal <nealbrks0 at gmail dot com> 1.0.1a-1pclos2012
- process

* Mon Oct 15 2012 Ken <lxgator at gmail.com> 1.0.1a-1pclos2012
- initial build
